Get note

GET /notes/{noteId}

Gets a user note created by the current application.

Path parameters

noteIdstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

Responses

    200OK

Content application/json

Documentation

Properties

idstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

appIdstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

userIdstring✻

format: uuid

Documentation

Example
"3f483b7c-ae82-44ac-94f1-0820861fef29"

assetIdsarray✻

Each asset must already exist in the asset service and must have been uploaded by the current application for this user.

0..1 itemsunique items

Documentation

format: uuid

Documentation

Example
"cf0102d1-3d48-4467-9887-da4d390267c6"

bodystring✻

0..1024 characters

Documentation

Example
"This is a note body example."

createdobject✻

Information about the creation of an entity.

Documentation

Properties

atstring✻

format: date-time

Documentation

Example
"2023-10-05T14:48:00.000Z"

byobject✻

Documentation

Properties

id✻

typestring✻

"app""system""user"

Documentation

updatedobject

Information about the update of an entity.

Documentation

Properties

atstring✻

format: date-time

Documentation

Example
"2023-10-05T14:48:00.000Z"

byobject✻

Documentation

Properties

id✻

typestring✻

"app""system""user"

Documentation

Security

Servers

    note.hedia.comhttps://note.hedia.com/api/v1